import request from '~/utils/request'

// watch(stepsMap, () => {
// }, { deep: true })

export function handleCompleteTask(gid: number, pid: number, cid: number, val?: unknown) {
  const _ykl_lc_ = JSON.parse(sessionStorage.getItem('ykl_lc')!)
  _ykl_lc_.processList[gid][pid][cid] = val || 1
  request({
    url: '/yzy/kmksyjlc/save',
    data: {
      ykl_id: _ykl_lc_.ykl_id,
      yk: {
        ykl_lc: JSON.stringify(_ykl_lc_),
      },
    },
  }).then((res) => {
    if (res.code === '1') {
      ElMessage({
        message: '操作成功',
        type: 'success',
        grouping: true,
      })
    }
  }).catch(() => {
    ElMessage({
      message: '操作失败',
      type: 'error',
      grouping: true,
    })
  })
}

export function handleAutoCompleteTask(val?: unknown) {
  const { gid, pid, cid } = JSON.parse(sessionStorage.getItem('StepId')!)
  // handleCompleteTask(gid, pid, cid)
  const _ykl_lc_ = JSON.parse(sessionStorage.getItem('ykl_lc')!)
  _ykl_lc_.processList[gid][pid][cid] = val || 1
  return request({
    url: '/yzy/kmksyjlc/save',
    data: {
      ykl_id: _ykl_lc_.ykl_id,
      yk: {
        ykl_lc: JSON.stringify(_ykl_lc_),
      },
    },
  }).then((res) => {
    if (res.code === '1') {
      ElMessage({
        message: '操作成功',
        type: 'success',
        grouping: true,
      })
      sessionStorage.setItem('ykl_lc', JSON.stringify(_ykl_lc_))
    }
  }).catch(() => {
    ElMessage({
      message: '操作失败',
      type: 'error',
      grouping: true,
    })
  })
}
